[arch-commits] Commit in minicom/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Jan 20 19:36:51 EST 2010


    Date: Wednesday, January 20, 2010 @ 19:36:51
  Author: giovanni
Revision: 64515

Merged revisions 64513 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/minicom/trunk

........
  r64513 | giovanni | 2010-01-21 01:35:22 +0100 (gio, 21 gen 2010) | 2 lines
  
  upgpkg: minicom 2.4-1
      upstream release
........

Modified:
  minicom/repos/extra-x86_64/	(properties)
  minicom/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)


Property changes on: minicom/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /minicom/trunk:1-10010
   + /minicom/trunk:1-64514

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-21 00:36:01 UTC (rev 64514)
+++ extra-x86_64/PKGBUILD	2010-01-21 00:36:51 UTC (rev 64515)
@@ -1,23 +1,24 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
 # Contributor: dorphell <dorphell at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=minicom
-pkgver=2.3
-pkgrel=2
+pkgver=2.4
+pkgrel=1
 pkgdesc="A serial communication program"
 arch=('i686'  'x86_64')
 license=('GPL')
 depends=('bash' 'ncurses')
-source=(http://alioth.debian.org/frs/download.php/2332/$pkgname-$pkgver.tar.gz)
+source=(http://alioth.debian.org/frs/download.php/3195/${pkgname}-${pkgver}.tar.gz)
 url="http://alioth.debian.org/projects/minicom/"
-md5sums=('0ebe7a91898384ca906787cc4e2c3f25')
+md5sums=('700976a3c2dcc8bbd50ab9bb1c08837b')
 
 build() {
-    cd $srcdir/$pkgname-$pkgver
-    
-    ./configure --prefix=/usr --sysconfdir=/etc
-    make || return 1
-    make DESTDIR=$pkgdir install
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --prefix=/usr \
+              --sysconfdir=/etc
+  make || return 1
+  make DESTDIR="${pkgdir}/" install || return 1
 }



More information about the arch-commits mailing list